<?php
/*
  Plugin Name: Event Espresso - Disable ALL Countries
  Plugin URI: http://www.eventespresso.com
  Description: This plugin disables ALL countries in dropdown menus in Event Espresso 4+
  Version: 1.0
  Author: Event Espresso
  Author URI: http://www.eventespresso.com
  Copyright 2014 Event Espresso (email : support@eventespresso.com)

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License, version 2, as
  published by the Free Software Foundation.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA02110-1301USA
*/
function ee_disable_all_countries_activate() {
    $installed = get_option( 'ee_disable_all_countries_added', false );
    if ( $installed ) {
        return;
    }
    global $wpdb;
    $country_table = $wpdb->prefix . 'esp_country';
    if ( $wpdb->query( "UPDATE $country_table SET CNT_active = 0" ) ) {
        add_option( 'ee_disable_all_countries_added', 1, '', 'no' );
    }
}
register_activation_hook( __FILE__, 'ee_disable_all_countries_activate' );
// End of file espresso_enable_all_countries.php